## org.codehaus.groovy.grails.web.converters.marshaller.xml
Class CollectionMarshaller

    java.lang.Object
      org.codehaus.groovy.grails.web.converters.marshaller.xml.CollectionMarshaller

All Implemented Interfaces:
  NameAwareMarshaller, ObjectMarshaller<XML>

    public class CollectionMarshaller

extends Object
implements ObjectMarshaller<XML>, NameAwareMarshaller

Since:
  1.1
Author:
  Siegfried Puchbauer

Constructor Summary
`CollectionMarshaller()`

Method Summary
`String` `getElementName(Object o)` Returns the tag name for the object
`void` `marshalObject(Object object, XML xml)` Performs the conversion
`boolean` `supports(Object object)` Checks wheter the ObjectMarshaller is able/intended to support the given Object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollectionMarshaller

    public CollectionMarshaller()

Method Detail

### supports

    public boolean supports(Object object)

  Description copied from interface: `ObjectMarshaller`
  Checks wheter the ObjectMarshaller is able/intended to support the given Object

  Specified by:
    `supports` in interface `ObjectMarshaller<XML>`
  Parameters:
    `object` - the object which is about getting converted
  Returns:
    `true` if the marshaller can/should perform the marshalling, `false` otherwise

### marshalObject

    public void marshalObject(Object object,
                              XML xml)
                       throws ConverterException

  Description copied from interface: `ObjectMarshaller`
  Performs the conversion

  Specified by:
    `marshalObject` in interface `ObjectMarshaller<XML>`
  Parameters:
    `object` - the object which is about getting converted
    `xml` - the Converter to use
  Throws:
    `ConverterException` - on failure

### getElementName

    public String getElementName(Object o)

  Description copied from interface: `NameAwareMarshaller`
  Returns the tag name for the object

  Specified by:
    `getElementName` in interface `NameAwareMarshaller`
  Parameters:
    `o` - the object
  Returns:
    the tag name

Copyright (c) 2005-2009 The Grails project